Bug 975460 - fix request-response across interconnected 1.0 brokers
fix request-response across interconnected 1.0 brokers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 974061 1010399
  Show dependency treegraph
 
Reported: 2013-06-18 10:00 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-5.el6, qpid-cpp-0.22-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4880 None None None Never

  None (edit)
Description Gordon Sim 2013-06-18 10:00:17 EDT
Description of problem:

Brokers can be connected into a federation using 1.0, but as of 0.22 temp response queues used for the reply to address did not get the messages if the service responding was connected to a remote broker.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start two brokers, a and b, specifying --domain BrokerA and --domain BrokerB respectively
2. qpidt -b <brokera> create domain BrokerB url=<brokerb>
3. qpidt -b <brokerb> create domain BrokerA url=<brokera>
4. create queue 'service_queue' on both brokers
5. qpidt -b <brokera> create outgoing domain=BrokerB source=service_queue target=service_queue
6. examples/messaging/server brokerb {protocol:amqp1.0}
7. examples/messaging/client brokera {protocol:amqp1.0}

Actual results:

client never gets responses

Expected results:

client gets responses as if example were running against single broker
Additional info:
Comment 1 Gordon Sim 2013-06-18 10:09:34 EDT
See https://svn.apache.org/repos/asf/qpid/trunk/qpid/cpp/src/tests/qpidt for qpidt utility.
Comment 2 Petr Matousek 2014-03-24 10:38:23 EDT
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-36

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.